%define upstream_name    App-Nopaste
%define upstream_version 1.004

Name:       nopaste
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    easy access to any pastebin
License:    GPL+ or Artistic
Group:      Development/Perl
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://metacpan.org/release/%{upstream_name}

BuildRequires: perl(Class::Load)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(base)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-App-Nopaste
Provides:   perl-App-Nopaste

Requires:   perl(MooseX::Getopt)
%description
Pastebins (also known as nopaste sites) let you post text, usually code,
for public viewing. They're used a lot in IRC channels to show code that
would normally be too long to give directly in the channel (hence the name
nopaste).

Each pastebin is slightly different. When one pastebin goes down (I'm
looking at you, the http://paste.husk.org manpage), then you have to find a
new one. And if you usually use a script to publish text, then it's too
much hassle.

This module aims to smooth out the differences between pastebins, and
provides redundancy: if one site doesn't work, it just tries a different
one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/nopaste
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.4.0-2.mga6
+ Revision: 1022165
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 1.4.0-1.mga6
+ Revision: 923318
- Update BRs
- New version 1.004

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-3.mga5
+ Revision: 747790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.960.0-2.mga5
+ Revision: 682915
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.960.0-1.mga5
+ Revision: 588226
- update to 0.96

* Sat Oct 19 2013 umeabot <umeabot> 0.920.0-2.mga4
+ Revision: 526311
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.920.0-1.mga4
+ Revision: 436570
- update to 0.92

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 314841
- update to 0.90

* Wed Aug 29 2012 kharec <kharec> 0.350.0-1.mga3
+ Revision: 285089
- update to 0.35

* Fri Dec 16 2011 kharec <kharec> 0.330.0-1.mga2
+ Revision: 182553
- update to 0.33

* Thu Nov 03 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 162169
- update to 0.32

* Thu Sep 01 2011 jquelin <jquelin> 0.310.0-1.mga2
+ Revision: 137534
- update to 0.31
- update to 0.30
- update to 0.29

* Thu Mar 24 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 76601
- update to 0.28

* Sun Mar 13 2011 jquelin <jquelin> 0.270.0-1.mga1
+ Revision: 70519
- update to 0.27

* Fri Feb 25 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 59685
- update to 0.26

* Wed Feb 16 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 52451
- update to 0.25

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 29819
- mageia rebuild
- imported package nopaste

